polybori::project_ith< 3, NLEN > Class Template Reference

`#include <pbori_func.h>`

## Public Member Functions

template<class FirstType , class SecondType , class ValueType >
const ValueType & | operator() (const FirstType &, const SecondType &, const ValueType &value,...) const
| Functional operator template. More...
template<class FirstType , class SecondType , class ValueType >
ValueType & | operator() (const FirstType &, const SecondType &, ValueType &value,...) const
| Constant functional operator template. More...

## Member Function Documentation

template<unsigned int NLEN>
template<class FirstType , class SecondType , class ValueType >

const ValueType& polybori::project_ith< 3, NLEN >::operator() | ( | const FirstType & | ,
|  | const SecondType & | ,
|  | const ValueType & | value,
|  |  | ...
| ) |  | const

inline

Functional operator template.

template<unsigned int NLEN>
template<class FirstType , class SecondType , class ValueType >

ValueType& polybori::project_ith< 3, NLEN >::operator() | ( | const FirstType & | ,
|  | const SecondType & | ,
|  | ValueType & | value,
|  |  | ...
| ) |  | const

inline

Constant functional operator template.

The documentation for this class was generated from the following file:

- pbori_func.h